> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reqi.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Language catalog

> Paginated languages catalog with country counts and cca2 lists.

Paginated languages catalog with country counts and cca2 lists.


## OpenAPI

````yaml https://api.reqi.dev/openapi/catalog.json GET /v1/meta/languages
openapi: 3.1.0
info:
  title: Countries API — Catalog
  version: 1.0.0
  description: >-
    Paginated indexes derived from the dataset Subset of the full API contract
    at /openapi.json (12 paths).
servers:
  - url: https://api.reqi.dev
    description: API host
  - url: https://cdn.reqi.dev
    description: Flag CDN
security: []
tags:
  - name: Catalog
    description: Paginated indexes derived from the dataset
paths:
  /v1/meta/languages:
    get:
      tags:
        - Catalog
      summary: Language catalog
      description: Paginated languages catalog with country counts and cca2 lists.
      operationId: getMetaLanguages
      parameters:
        - name: offset
          in: query
          description: Catalog offset. Default 0.
          schema:
            type: integer
            minimum: 0
        - name: limit
          in: query
          description: Catalog page size from 1 to 100. Default 25.
          schema:
            type: integer
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Catalog page.
          content:
            application/json:
              schema:
                type: object
                required:
                  - kind
                  - schemaVersion
                  - total
                  - offset
                  - limit
                  - count
                properties:
                  kind:
                    type: string
                  schemaVersion:
                    type: integer
                  total:
                    type: integer
                  offset:
                    type: integer
                  limit:
                    type: integer
                  count:
                    type: integer
                  languages:
                    type: array
                    items:
                      type: object
        '400':
          $ref: '#/components/responses/BadRequest'
components:
  responses:
    BadRequest:
      description: Invalid query parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      required:
        - message
        - status
      properties:
        message:
          type: string
        status:
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.